Bug 609488 - gfortran: internal compiler error
Summary: gfortran: internal compiler error
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-30 12:27 UTC by laura marcucci
Modified: 2010-07-14 09:44 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-07-09 14:36:12 UTC


Attachments (Terms of Use)
fortran code junk.f (578 bytes, text/x-fortran)
2010-06-30 12:27 UTC, laura marcucci
no flags Details

Description laura marcucci 2010-06-30 12:27:37 UTC
Created attachment 427975 [details]
fortran code junk.f

Description of problem:
I try to compile a program using gfortran, and I get the message "internal compiler error: Segmentation fault"

Version-Release number of selected component:
gcc-gfortran-4.4.4-2.fc13.i686

How reproducible: all the time

Steps to Reproduce:
1. The fortran code junk.f is in the attachment
2. I try to compile it as:
 gfortran -c -O4 -fno-automatic -fno-align-commons -fdefault-real-8 junk.f

Actual results:
I get the following error message:

junk.f: In function ‘junk’:
junk.f:2: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.


Expected results: successful compilation


Additional info: 
1. the Fedora 13 installation is updated as of yesterday evening
2. the same program under Fedora 8 (gcc-gfortran-4.1.2-33) and Fedora 10 (gcc-gfortran-4.3.2-7.i386) compiles successfully. In these cases, however, I had to compile without the option -fno-align-commons.

Comment 1 Jakub Jelinek 2010-07-01 10:15:54 UTC
Fixed by http://gcc.gnu.org/viewcvs?view=revision&revision=148458
will backport.

Comment 2 Jakub Jelinek 2010-07-09 14:36:12 UTC
Should be fixed in gcc-4.4.4-11.fc{12,13}.

Comment 3 laura marcucci 2010-07-14 09:44:34 UTC
Today I downloaded the available update packages, among which appeared gcc-4.4.4-10.fc13.i686 and gcc-gfortran-4.4.4-10.fc13.i686, but not gcc-4.4.4-11.fc13.i686 and gcc-gfortran-4.4.4-11.fc13.i686. I restarted the system and compiled the same junk.f program, but the compilation still fails, with the same error message indicated above. When will be available the 4.4.4-11 version?


Note You need to log in before you can comment on or make changes to this bug.